Search Unity

  1. We are migrating the Unity Forums to Unity Discussions. On July 12, the Unity Forums will become read-only.

    Please, do not make any changes to your username or email addresses at id.unity.com during this transition time.

    It's still possible to reply to existing private message conversations during the migration, but any new replies you post will be missing after the main migration is complete. We'll do our best to migrate these messages in a follow-up step.

    On July 15, Unity Discussions will become read-only until July 18, when the new design and the migrated forum contents will go live.


    Read our full announcement for more information and let us know if you have any questions.

Question Asset incompatibility leading do a disaster, how do i fix it?

Discussion in 'Documentation' started by tarajput1, Mar 20, 2021.

  1. tarajput1

    tarajput1

    Joined:
    Mar 19, 2021
    Posts:
    2
    I downloaded and imported a fog asset that i didn't realize was compatible with my Unity version at first, so when it started importing, it said to install and upgrade because of package manager dependencies so I clicked it, then realized that it wasn't compatible and couldn't cancel it, so I waited, dreading. When it finally 'upgraded' all my scripts stopped working, saying 'they were not valid, please make sure there aren't any compile errors or assign a valid script'. The cameras got messed up and refused to transform. I don't know what to do, please help. Screenshot (497).png Screenshot (496).png Screenshot (493).png Screenshot (494).png Screenshot (495).png